#!/bin/bash
#
# Loesche alle Leases Eintraege fuer PCs mit den uebergebenen MAC-Adressen.
#
# Nachdem der dhcp Server gestoppt ist, wird die alte Leasesdatei gesichert
# und danach werden die Eintraege ausgefiltert. Dann wird der dhcp Server
# wieder gestartet.
#
# $Id: sc_filterMac.sh 5787 2008-09-03 15:33:31Z joergs $
#

. /etc/smartclient/leases2ldap

for mac in $@; do
	if [ -z "$MACSTOFILTEROUT" ]; then
		MACSTOFILTEROUT=$(echo "$mac" | sed 's/[^a-f0-9:]//g')
	else
		MACSTOFILTEROUT="$MACSTOFILTEROUT `echo "$mac" | sed 's/[^a-f0-9:]//g'`"
	fi
done

if [ -z "$MACSTOFILTEROUT" ]; then

	cat << EOT >&2
Usage:
$0 <MAC-Address> [MAC-Address MAC-Address ...]

MAC-Address: macaddress of client to delete from Leases-File of DCHPD
EOT

	exit 99
fi

$LEASES2LDAP_STOP_DHCPD
date_str=`date +"%Y%m%d%H%M%S"`
echo "Copying old Leases-File of DCHPD to $LEASES2LDAP_LEASES_FILE.$date_str"
cp -f $LEASES2LDAP_LEASES_FILE $LEASES2LDAP_LEASES_FILE.$date_str
echo -n "Clearing Leases-File of DCHPD ..."
/usr/sbin/sc_cleardhcpdleases.pl $LEASES2LDAP_LEASES_FILE $LEASES2LDAP_CLEARED_LEASES_FILE $MACSTOFILTEROUT
echo " done"
$LEASES2LDAP_START_DHCPD
